patch
https://testapi.payarc.net/v1/customers/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Customer Data Fields
This section details the various fields that can be used when interacting with the customer data in the API. Each field is optional but recommended for a more complete customer profile.
Fields
1. Email
- Type:
string - Description: The email address of the customer. This field is displayed next to the customer in the dashboard and can be used for searching and tracking.
- Required: Optional
- Format: Alphanumeric and Special Characters
- Max Length: 40 characters
- Example:
[email protected]
2. Name
- Type:
string - Description: The full name of the customer.
- Required: Optional
- Format: Alphabetic and Whitespace
- Min Length: 3 characters
- Max Length: 50 characters
- Example:
John Smith
3. Description
- Type:
string - Description: An arbitrary string that can be attached to a customer for additional context. This field is displayed next to the customer in the dashboard.
- Required: Optional
- Format: Alphanumeric and Special Characters
- Min Length: 5 characters
- Max Length: 50 characters
- Example:
A1 Company
4. Send Email Address
- Type:
string - Description: The email address where invoices will be sent.
- Required: Optional
- Format: Alphanumeric and Special Characters
- Min Length: 5 characters
- Max Length: 40 characters
- Example:
[email protected]
5. CC Email Address
- Type:
string - Description: An additional email address where copies of invoices will be sent.
- Required: Optional
- Format: Alphanumeric and Special Characters
- Min Length: 5 characters
- Max Length: 40 characters
- Example:
[email protected]
6. Country
- Type:
string - Description: The name of the customer's country.
- Required: Optional
- Format: Alphabetic
- Min Length: 2 characters
- Max Length: 50 characters
- Example:
US
7. Address Line 1
- Type:
string - Description: The first line of the customer's address.
- Required: Optional
- Format: Alphanumeric
- Min Length: 5 characters
- Max Length: 50 characters
- Example:
103 Mason Street
8. Address Line 2
- Type:
string - Description: The second line of the customer's address.
- Required: Optional
- Format: Alphanumeric
- Min Length: 5 characters
- Max Length: 50 characters
- Example:
2nd Floor
9. City
- Type:
string - Description: The name of the customer's city. This can include the City, District, Suburb, Town, or Village.
- Required: Optional
- Format: Alphabetic and Whitespace
- Min Length: 2 characters
- Max Length: 50 characters
- Example:
New York
10. State
- Type:
string - Description: The state name where the customer resides. This can include State, County, Province, or Region.
- Required: Optional
- Format: Alphabetic and Whitespace
- Min Length: 2 characters
- Max Length: 50 characters
- Example:
NY
11. ZIP Code
- Type:
integer - Description: The customer's ZIP code.
- Required: Optional
- Format: Numeric and Hyphen
- Max Length: 10 characters
- Example:
10469or10469-2345 - Note: To group numbers, use a hyphen symbol. No other symbols or characters are allowed.
12. Phone Number
- Type:
integer - Description: The customer's phone number.
- Required: Optional
- Format: Numeric
- Min Length: 2 characters
- Max Length: 11 characters
- Example:
5417543010
13. Token ID
- Type:
string - Description: The token issued by the token service provider. A token is generated to represent the credit card number.
- Required: Optional
- Format: Alphanumeric
- Notes: To make successful call:
- Please create a customer using Create a Customer API if there is none.
- Please pass the token_id obtained in Create a Card API.
14. Default Card ID
- Type:
string - Description: ID of the customer's card that should be set as default.
- Required: Optional
- Format: Alphanumeric
- Min Length: 13 characters